[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[fedora-java] Starting Tomcat



I have FC4 as updated, and a slew of Java packages installed in order
to run tomcat. I get the following error when trying to start it:

--------------------------------------------------
[root taltos lib]# service tomcat5 start
Starting tomcat5: lock file found but no process running for pid 11395, continuing
/usr/bin/rebuild-jar-repository: error: could not find jta Java extension for this JVM
/usr/bin/rebuild-jar-repository: error: All detected jars were not found for this jvm
find: warning: you have specified the -mindepth option after a non-option argument -type, but options are not positional (-mindepth affects tests specified before it as well as those specified after it).  Please specify options before other arguments.

find: warning: you have specified the -maxdepth option after a non-option argument -type, but options are not positional (-maxdepth affects tests specified before it as well as those specified after it).  Please specify options before other arguments.

Using CATALINA_BASE:   /usr/share/tomcat5
Using CATALINA_HOME:   /usr/share/tomcat5
Using CATALINA_TMPDIR: /usr/share/tomcat5/temp
Using JAVA_HOME:       /usr/lib/jvm/java
                                                           [  OK  ]
[root taltos lib]#
--------------------------------------------------

I notice that /var/lib/tomcat5/common/lib/[jta].jar ->
/could/not/find/extension/for/this/jvm, which is a cute way of telling
me that the symlink is broken. OK, what should this link point to?

--------------------------------------------------
[root taltos lib]# locate jta | xargs ls -l
-rwx------  1 ccurley ccurley 6841 May 26 13:06 /home/ccurley/.emacs.d/site-lisp/jde/lisp/jtags
-rwx------  1 ccurley ccurley 6678 May 26 13:06 /home/ccurley/.emacs.d/site-lisp/jde/lisp/jtags.csh
lrwxrwxrwx  1 root    root      51 Aug 18 13:10 /usr/lib/jvm-exports/java-1.4.2-gcj-1.4.2.0/jta-1.4.2.0.jar -> /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre/lib/jta.jar
lrwxrwxrwx  1 root    root      15 Aug 18 13:10 /usr/lib/jvm-exports/java-1.4.2-gcj-1.4.2.0/jta-1.4.2.jar -> jta-1.4.2.0.jar
lrwxrwxrwx  1 root    root      15 Aug 18 13:10 /usr/lib/jvm-exports/java-1.4.2-gcj-1.4.2.0/jta.jar -> jta-1.4.2.0.jar
lrwxrwxrwx  1 root    root      32 Aug 18 13:10 /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre/lib/jta.jar -> /usr/share/java/libgcj-4.0.1.jar
lrwxrwxrwx  1 root    root      38 Aug 21 19:08 /var/lib/tomcat5/common/lib/[jta].jar -> /could/not/find/extension/for/this/jvm
--------------------------------------------------

I have installed Sun's jvm via the jpackage proceedure.

--------------------------------------------------
[root taltos lib]# pre sun
java-1.5.0-sun-1.5.0.04-1jpp
java-1.5.0-sun-demo-1.5.0.04-1jpp
java-1.5.0-sun-devel-1.5.0.04-1jpp
java-1.5.0-sun-fonts-1.5.0.04-1jpp
java-1.5.0-sun-alsa-1.5.0.04-1jpp
java-1.5.0-sun-plugin-1.5.0.04-1jpp
java-1.5.0-sun-jdbc-1.5.0.04-1jpp
--------------------------------------------------

Do I need Sun's jdk in order to develop servlets?

-- 

Charles Curley                  /"\    ASCII Ribbon Campaign
Looking for fine software       \ /    Respect for open standards
and/or writing?                  X     No HTML/RTF in email
http://www.charlescurley.com    / \    No M$ Word docs in email

Key fingerprint = CE5C 6645 A45A 64E4 94C0  809C FFF6 4C48 4ECD DFDB

Attachment: pgpwn3gjNsd2s.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]